curl --request GET 'https://core.getfaceage.com/api/v1/business/template/{business_id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer your_secret_key'
{
"status": true,
"data": {
"base_color": "rgb(233, 150, 122)",
"basic_action_color": "#EEE",
"submit_action_color": "rgb(239, 55, 134)",
"base_border_radius": "40px",
"quiz_input_color": "rgb(240, 128, 128)",
"background_upload_color": "rgb(250, 128, 114)",
"border": 40,
"position_accepted_status_color": "#9FE2BF",
"position_not_accepted_status_color": "#DE3163",
"product_shadow": 0,
"product_border_width": 20,
"product_border_color": "#DE3163",
"product_padding": 15,
"product_action_color": "#FFA07A",
"product_show_type": "slide",
"position_show_mobile_tool_left_distance": 24,
"position_show_desktop_tool_left_distance": 24,
"position_show_mobile_tool_button_distance": 24,
"position_show_desktop_tool_button_distance": 24,
"tools_icon": "https://face.com/storage/tools_icon/12/66f7cd7b9924f.jpeg"
}
}
{
"message": "Unauthenticated."
}
Custom template
Get template config
Get the UI configuration of a business’s template.
GET
/
business
/
template
/
{business_id}
curl --request GET 'https://core.getfaceage.com/api/v1/business/template/{business_id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer your_secret_key'
{
"status": true,
"data": {
"base_color": "rgb(233, 150, 122)",
"basic_action_color": "#EEE",
"submit_action_color": "rgb(239, 55, 134)",
"base_border_radius": "40px",
"quiz_input_color": "rgb(240, 128, 128)",
"background_upload_color": "rgb(250, 128, 114)",
"border": 40,
"position_accepted_status_color": "#9FE2BF",
"position_not_accepted_status_color": "#DE3163",
"product_shadow": 0,
"product_border_width": 20,
"product_border_color": "#DE3163",
"product_padding": 15,
"product_action_color": "#FFA07A",
"product_show_type": "slide",
"position_show_mobile_tool_left_distance": 24,
"position_show_desktop_tool_left_distance": 24,
"position_show_mobile_tool_button_distance": 24,
"position_show_desktop_tool_button_distance": 24,
"tools_icon": "https://face.com/storage/tools_icon/12/66f7cd7b9924f.jpeg"
}
}
{
"message": "Unauthenticated."
}
Path parameters
integer
required
ID of the business.
Response
boolean
true when the request succeeds.object
The template configuration. See Update template config for a description of each field.
curl --request GET 'https://core.getfaceage.com/api/v1/business/template/{business_id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer your_secret_key'
{
"status": true,
"data": {
"base_color": "rgb(233, 150, 122)",
"basic_action_color": "#EEE",
"submit_action_color": "rgb(239, 55, 134)",
"base_border_radius": "40px",
"quiz_input_color": "rgb(240, 128, 128)",
"background_upload_color": "rgb(250, 128, 114)",
"border": 40,
"position_accepted_status_color": "#9FE2BF",
"position_not_accepted_status_color": "#DE3163",
"product_shadow": 0,
"product_border_width": 20,
"product_border_color": "#DE3163",
"product_padding": 15,
"product_action_color": "#FFA07A",
"product_show_type": "slide",
"position_show_mobile_tool_left_distance": 24,
"position_show_desktop_tool_left_distance": 24,
"position_show_mobile_tool_button_distance": 24,
"position_show_desktop_tool_button_distance": 24,
"tools_icon": "https://face.com/storage/tools_icon/12/66f7cd7b9924f.jpeg"
}
}
{
"message": "Unauthenticated."
}